Bug 8923 - Should add waf source to buildtools
Should add waf source to buildtools
Status: RESOLVED WONTFIX
Product: Samba 3.6
Classification: Unclassified
Component: Build environment
3.6.5
All All
: P5 normal
: ---
Assigned To: Jelmer Vernooij
Samba QA Contact
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 11:19 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2013-11-01 14:34 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2012-05-09 11:19:14 UTC
As you may know, Debian is kinda picky (not to say more rude words...) about source being provided, and waf tends to be a target for this..:-)

As of now, the released tarballs provide some binary in buildtools/ for which the "source" is not directly provided. That may of course be debated as this can be *extracted* from the provided binary, but still.

Jelmer Vernooij committed 4f4bce5301ffd8c12aed1b108affa1a75feefb67 in master to fix this.

Could it be considered for 3.6.6? That would make our packagers life a lot easier than patching sources ourselves and it certainly has no impact as waf is not directly used in the build.

Thanks a lot for considering this.
Comment 1 Karolin Seeger 2012-06-22 17:57:42 UTC
Cherry-picking fails:

user@host:/data/git/samba/v3-6-test> git cherry-pick -x 4f4bce5301ffd8c12aed1b108affa1a75feefb67
Automatic cherry-pick failed.  After resolving the conflicts,
mark the corrected paths with 'git add <paths>' or 'git rm <paths>'
and commit the result with: 

        git commit -c 4f4bce5301ffd8c12aed1b108affa1a75feefb67

Jelmer, can you please provide a patch for v3-6-test?

Thanks!
Comment 2 Stefan Metzmacher 2012-06-23 08:44:00 UTC
Do we really support the waf build in 3.6?

I was a bit confused to find autogen-waf.sh in v3-6-test/source3...
Comment 3 Jelmer Vernooij 2012-06-23 12:14:35 UTC
FWIW I didn't put this patch into 3.6 intentionally, but only into master.

I agree that the right thing to do is to ship the unpacked source, since it is the preferred form of modification. That's why I fixed it in Git master.

But we're not really using the waf build in Debian's 3.6 package, and I think unpacking the waf source for 3.6 is just noise. It's not something worth doing for older release series, especially if waf shipped but not used.
Comment 4 Jelmer Vernooij 2013-11-01 14:34:21 UTC
I still think this is a non-issue for an existing release like 3.6 which just ships waf but doesn't use it.

Considering we're already working on 4.1 (which has a fix for this bug) and since Debian will ship 4.0 soon, I'm going to mark this as wontfix.